#!/usr/bin/perl -w
#
# generateHTMLTest.pl
#
# A test script for generateHTML.pm.
#
# author:  Max-Gerd Retzlaff <m.retzlaff@gmx.net>
# date:    Date: 2002/01/25 01:30:00 CET
# version: Revision: pre-alpha-nearly-untested-release 0.01
#
# This application is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version. 
#
# This application is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111 USA.  

use generateHTML;

generateHTML->read_skin('generateHTML_WEGpage.skin');

print
    generateHTML->page_begin('Testpage'),
    generateHTML->maintitle('Title'),
    generateHTML->index(generateHTML->title('Index').
			"<li> Link 1\n<li> Link 2"),
    generateHTML->content( generateHTML->title('Test-Page').
			   "Dies ist eine ganz tolle Seite.<br>\nEin Satz.\n" ),
    generateHTML->page_end( generateHTML->footer('copyleft by mgr') );
